> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Grant Configuration By ID

> Returns one grant configuration with signing tabs and a presigned exercise-form download URL.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-grant-configuration-by-id
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-grant-configuration-by-id:
    get:
      operationId: getGrantConfigurationByID
      summary: Get Grant Configuration By ID
      description: >-
        Returns one grant configuration with signing tabs and a presigned
        exercise-form download URL.


        Not available to API keys yet. It will need `grants:read`.
      parameters:
        - name: grantConfigurationID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGrantConfigurationByIDResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetGrantConfigurationByIDResponse:
      type: object
      properties:
        grantConfigurationID:
          type: string
        name:
          type: string
        kind:
          type: string
          enum:
            - RTU
            - RTA
            - TOKEN_BONUS
            - TPA
            - OPTION
            - WARRANT
            - LTIP
            - TSA
            - FTIA
            - PHANTOMUNITS
            - FOUNDERROUND
            - FTI
            - TOKENSUB
            - PERFORMANCE
        isExercisable:
          type: boolean
        useStrike:
          type: boolean
        hasDiscountFMV:
          type: boolean
        redemptionHold:
          type: number
        redemptionCap:
          type: number
        redemptionLiftPeriod:
          type: number
        exerciseLockupMonths:
          type:
            - number
            - 'null'
        optionExpiryYears:
          type:
            - number
            - 'null'
        optionExerciseWindowDays:
          type:
            - number
            - 'null'
        exercisedOptionsPastTenseLabel:
          type: string
        exercisedOptionsPresentTenseLabel:
          type: string
        exercisedOptionActionLabel:
          type: string
        exercisedOptionPotentialActionLabel:
          type: string
        cashRedemptionMethod:
          type: boolean
        unitsRedemptionMethod:
          type: boolean
        coinMarketCapID:
          type: string
        showLtipRedemptionProcessingAlert:
          type: boolean
        signingTabs:
          type:
            - object
            - 'null'
          properties:
            prefilledTextTabs:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    enum:
                      - fullLegalName
                      - exerciseDate
                      - grantDate
                      - numberOfUnitsToRedeem
                      - redemptionMethod
                  pageNumber:
                    type: string
                  xPosition:
                    type: string
                  yPosition:
                    type: string
                required:
                  - type
                  - pageNumber
                  - xPosition
                  - yPosition
            bankTabs:
              type: array
              items:
                type: object
                properties:
                  label:
                    type: string
                  pageNumber:
                    type: string
                  xPosition:
                    type: string
                  yPosition:
                    type: string
                required:
                  - label
                  - pageNumber
                  - xPosition
                  - yPosition
            signerTabs:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    enum:
                      - signature
                      - initial
                      - dateSigned
                  pageNumber:
                    type: string
                  xPosition:
                    type: string
                  yPosition:
                    type: string
                  isRecipient:
                    type: boolean
                  name:
                    type: string
                  email:
                    type: string
                required:
                  - pageNumber
                  - xPosition
                  - yPosition
                  - isRecipient
                  - name
                  - email
          required:
            - prefilledTextTabs
            - bankTabs
            - signerTabs
        exerciseFormDownloadUrl:
          type: string
      required:
        - grantConfigurationID
        - name
        - kind
        - isExercisable
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
